#!/usr/bin/env python
# -*- coding:utf-8 -*-
# author:SunXiuWen
# make_time:2018/11/12
from django.utils.deprecation import MiddlewareMixin


class ExemptAllowOriginMiddleware(MiddlewareMixin):
    """解决跨域，添加一个响应头"""

    def process_reponse(self, request, response):
        response["Access-Control-Allow-Origin"] = '*'
        if request.method == 'OPTIONS':
            # 本质是在请求头里加上一个请求头，ajax中header对应的字典里的字段
            response['Access-Control-Allow-Headers'] = "Content-Type"
            response['Access-Control-Allow-Methods'] = "POST,PUT,PATCH,DELETE"
            return response

# 这是就一个解决测试阶段前后端分离可能导致跨域问题的中间件
# 使用方法为：
# 1. 将此py文件加到django项目下
# 2. 到setting中注册即可
